Debian Bug report logs - #679847
ruby-hpricot and ruby-fast-xs: error when trying to install together

version graph

Package: ruby-fast-xs; Maintainer for ruby-fast-xs is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for ruby-fast-xs is src:ruby-fast-xs.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Sat, 30 Jun 2012 07:12:07 UTC

Severity: serious

Found in versions ruby-fast-xs/0.8.0-2, ruby-hpricot/0.8.6-3

Fixed in version ruby-fast-xs/0.8.0-3

Done: Antonio Terceiro <terceiro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#679606; Package ruby-fast-xs,ruby-hpricot. (Sat, 30 Jun 2012 07:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

ruby-hpricot/0.8.6-2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 30 Jun 2012 07:12:10 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: ruby-hpricot and ruby-fast-xs: error when trying to install together
Date: Sat, 30 Jun 2012 09:10:58 +0200
Package: ruby-fast-xs,ruby-hpricot
Version: ruby-fast-xs/0.8.0-2
Version: ruby-hpricot/0.8.6-2
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2012-06-30
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libffi5 libreadline5 libyaml-0-2 libruby1.8 libruby1.9.1 ruby1.9.1 ruby
  ruby-fast-xs ruby-hpricot
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package libffi5:amd64.
(Reading database ... 10722 files and directories currently installed.)
Unpacking libffi5:amd64 (from .../libffi5_3.0.10-3_amd64.deb) ...
Selecting previously unselected package libreadline5:amd64.
Unpacking libreadline5:amd64 (from .../libreadline5_5.2-11_amd64.deb) ...
Selecting previously unselected package libyaml-0-2:amd64.
Unpacking libyaml-0-2:amd64 (from .../libyaml-0-2_0.1.4-2_amd64.deb) ...
Selecting previously unselected package libruby1.8.
Unpacking libruby1.8 (from .../libruby1.8_1.8.7.358-4_amd64.deb) ...
Selecting previously unselected package libruby1.9.1.
Unpacking libruby1.9.1 (from .../libruby1.9.1_1.9.3.194-1_amd64.deb) ...
Selecting previously unselected package ruby1.9.1.
Unpacking ruby1.9.1 (from .../ruby1.9.1_1.9.3.194-1_amd64.deb) ...
Selecting previously unselected package ruby.
Unpacking ruby (from .../apt/archives/ruby_4.9_all.deb) ...
Selecting previously unselected package ruby-fast-xs.
Unpacking ruby-fast-xs (from .../ruby-fast-xs_0.8.0-2_amd64.deb) ...
Selecting previously unselected package ruby-hpricot.
Unpacking ruby-hpricot (from .../ruby-hpricot_0.8.6-2_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/ruby-hpricot_0.8.6-2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/ruby/vendor_ruby/1.9.1/x86_64-linux/fast_xs.so', which is also in package ruby-fast-xs 0.8.0-2
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/ruby-hpricot_0.8.6-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/lib/ruby/vendor_ruby/1.8/x86_64-linux/fast_xs.so
  /usr/lib/ruby/vendor_ruby/1.9.1/x86_64-linux/fast_xs.so

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.




Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 19:27:09 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 19:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 679606-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 679606-close@bugs.debian.org
Subject: Bug#679606: fixed in ruby-hpricot 0.8.6-3
Date: Sat, 30 Jun 2012 19:23:24 +0000
Source: ruby-hpricot
Source-Version: 0.8.6-3

We believe that the bug you reported is fixed in the latest version of
ruby-hpricot, which is due to be installed in the Debian FTP archive:

libhpricot-ruby1.8_0.8.6-3_all.deb
  to main/r/ruby-hpricot/libhpricot-ruby1.8_0.8.6-3_all.deb
libhpricot-ruby1.9.1_0.8.6-3_all.deb
  to main/r/ruby-hpricot/libhpricot-ruby1.9.1_0.8.6-3_all.deb
libhpricot-ruby1.9_0.8.6-3_all.deb
  to main/r/ruby-hpricot/libhpricot-ruby1.9_0.8.6-3_all.deb
libhpricot-ruby_0.8.6-3_all.deb
  to main/r/ruby-hpricot/libhpricot-ruby_0.8.6-3_all.deb
ruby-hpricot_0.8.6-3.debian.tar.gz
  to main/r/ruby-hpricot/ruby-hpricot_0.8.6-3.debian.tar.gz
ruby-hpricot_0.8.6-3.dsc
  to main/r/ruby-hpricot/ruby-hpricot_0.8.6-3.dsc
ruby-hpricot_0.8.6-3_amd64.deb
  to main/r/ruby-hpricot/ruby-hpricot_0.8.6-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated ruby-hpricot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 20:58:04 +0200
Source: ruby-hpricot
Binary: ruby-hpricot libhpricot-ruby libhpricot-ruby1.8 libhpricot-ruby1.9 libhpricot-ruby1.9.1
Architecture: source amd64 all
Version: 0.8.6-3
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 libhpricot-ruby - Transitional package for ruby-hpricot
 libhpricot-ruby1.8 - Transitional package for ruby-hpricot
 libhpricot-ruby1.9 - Transitional package for ruby-hpricot
 libhpricot-ruby1.9.1 - Transitional package for ruby-hpricot
 ruby-hpricot - fast, enjoyable HTML parser
Closes: 679606
Changes: 
 ruby-hpricot (0.8.6-3) unstable; urgency=low
 .
   * Stop shipping fast_xs and depend on it instead.  Closes: 679606
Checksums-Sha1: 
 548a69634218820798b6b69ce7d3da32fd1929f7 2376 ruby-hpricot_0.8.6-3.dsc
 68ad56de6cc571c55320f8faca469a03da172fe5 4886 ruby-hpricot_0.8.6-3.debian.tar.gz
 dbd0f5d36d78311dff4f52c24dd35ce12b0ca66a 114366 ruby-hpricot_0.8.6-3_amd64.deb
 ec2b757dff1f5baf9cf28f3df92d07610c685278 6858 libhpricot-ruby_0.8.6-3_all.deb
 5fbce5560858bc57f9a4f96bc60974c1fce4a693 6866 libhpricot-ruby1.8_0.8.6-3_all.deb
 58ff98f98a821f7a33b41987af2abd29208c9a25 6866 libhpricot-ruby1.9_0.8.6-3_all.deb
 6d98b058b367e20515883dad72e4dd372347bd18 6866 libhpricot-ruby1.9.1_0.8.6-3_all.deb
Checksums-Sha256: 
 7ef65dbba9d64a68aa1b542cf3f3da95411cc6322bac038a697831310561ec64 2376 ruby-hpricot_0.8.6-3.dsc
 8eea57acf9ce18e7aab1acfb7881490d74b76eb41e3a48f44efc56ea3ec47c02 4886 ruby-hpricot_0.8.6-3.debian.tar.gz
 60e8166728e0154a86c684dfc6f6b84a953c0507bc40c84d4a45d42b5cd49b1b 114366 ruby-hpricot_0.8.6-3_amd64.deb
 ef7f65dcd29272f959722653d59e8f0a7bc9fb2d9eb5ce11528a0adc49ab3f9d 6858 libhpricot-ruby_0.8.6-3_all.deb
 dad4bbeb4985554947adb600f35814ab9421df73d1ad39a3ef52484e81a22626 6866 libhpricot-ruby1.8_0.8.6-3_all.deb
 5016f52ac7f6e75d09340e2db998e9e3a8e8978fe054ed3295b4d42fc845973b 6866 libhpricot-ruby1.9_0.8.6-3_all.deb
 000c619dd9457940e3903eda0765e0df766a9cc8fe86d1d5837466fea22068a1 6866 libhpricot-ruby1.9.1_0.8.6-3_all.deb
Files: 
 9771a8e274608ac9589d8a28e6d6b4ea 2376 ruby optional ruby-hpricot_0.8.6-3.dsc
 46b0c25c7d107fc91f21e6d43b5799c1 4886 ruby optional ruby-hpricot_0.8.6-3.debian.tar.gz
 16f0d1021fa09ce06e36f52388abf4e7 114366 ruby optional ruby-hpricot_0.8.6-3_amd64.deb
 93fccdc411f6c264a10e7d10001aa220 6858 oldlibs extra libhpricot-ruby_0.8.6-3_all.deb
 d90f1e3bbf84bde58568942da2c0ceb5 6866 oldlibs extra libhpricot-ruby1.8_0.8.6-3_all.deb
 ef9acac10a28f5eb73448ac71c6bd4fa 6866 oldlibs extra libhpricot-ruby1.9_0.8.6-3_all.deb
 343650c1fa702720b2a3d1c0e6e84052 6866 oldlibs extra libhpricot-ruby1.9.1_0.8.6-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJP70+WAAoJELZaSHHKGdcX0DkQAMrFO1GAty3SyUNXLI4Ys4Im
eRgNz8KxijvmyqUsWEWRFFFmhfOc412fvlQkzfMUM4siCo1YIVXtaUV3RmFn53OK
/1G9BRrjvQKqfRfHnsMbohllAm0+1ZgoAquMhbqobH3nxspqWKl8DXW/CTQC8qUJ
XScGwdARieWQWKYtpGWzwfAXTdgJvqatGfdRHrAQL3fx4n0bW+nllJzDkb4zKi6F
+9/K7WiFIRmIP0SPCLoEofpXeHQI7Un9JyuTTuIZVAEWvlKWqX/TEy3cco14hTi3
UldcwJvStiQcazKdnYwRs5I7Zz/3Oq1+db8vHf4zKtJWj6Q3E1Vn01nkFGEjDecr
eBj7obqqdlFX3mNMyCa+1GEdayV2CbYm8mi6jPwbSnubiP6tCKGBTT+zCnNhpr67
yEpytOgRkkXeGjXYVS3DJfDXsn+Oozcbeurl9qEsx8vNMq5mpbZ/wzjSnQkTN6vM
JGHW8enkbnXhPpsGls9rzkRtgbNp/83mkZkVe3t2MBmh0nvt7VN2Lls2gn6gsfQh
UNsegDj62OoIlqU3VUygH6KTq5upE13iTU2DOJXO6uBQ41YZyA99SD8oP/txEqgl
wIpt1CGSvcuLArMX/tPbxsH55yIpvLJfyWkrTQ2l4My+vfETyeFVG9ENUhD64FuI
UsDTZZ5li84lvs4TaUSC
=LRtW
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#679606; Package ruby-fast-xs,ruby-hpricot. (Mon, 02 Jul 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <andreas@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 02 Jul 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 679606@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <andreas@abeckmann.de>
To: 679606@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug #679606: ruby-hpricot and ruby-fast-xs: error when trying to install together
Date: Mon, 02 Jul 2012 03:42:45 +0200
user debian-qa@lists.debian.org
usertag 679606 piuparts
clone 679606 -1
reassign 679606 ruby-hpricot 0.8.6-2
fixed 679606 0.8.6-3
reassign -1 ruby-fast-xs 0.8.0-2
reopen -1
thanks

cloning and reassigning to ruby-fast-xs which needs to add 
Breaks/Replaces since it takes over some files from ruby-hpricot.

Currently this happens on upgrades:

  Selecting previously unselected package ruby-fast-xs.
  Unpacking ruby-fast-xs (from .../ruby-fast-xs_0.8.0-2_amd64.deb) ...
  dpkg: error processing /var/cache/apt/archives/ruby-fast-xs_0.8.0-2_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/ruby/vendor_ruby/1.8/x86_64-linux/fast_xs.so', which is also in package ruby-hpricot 0.8.6-1
  Preparing to replace ruby-hpricot 0.8.6-1 (using .../ruby-hpricot_0.8.6-3_amd64.deb) ...
  Unpacking replacement ruby-hpricot ...
  Errors were encountered while processing:
   /var/cache/apt/archives/ruby-fast-xs_0.8.0-2_amd64.deb


Andreas




Bug 679606 cloned as bug 679847 Request was from Andreas Beckmann <andreas@abeckmann.de> to control@bugs.debian.org. (Mon, 02 Jul 2012 01:45:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'ruby-fast-xs,ruby-hpricot' to 'ruby-fast-xs'. Request was from Andreas Beckmann <andreas@abeckmann.de> to control@bugs.debian.org. (Mon, 02 Jul 2012 01:45:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions ruby-hpricot/0.8.6-3. Request was from Andreas Beckmann <andreas@abeckmann.de> to control@bugs.debian.org. (Mon, 02 Jul 2012 01:45:10 GMT) Full text and rfc822 format available.

Marked as found in versions ruby-fast-xs/0.8.0-2. Request was from Andreas Beckmann <andreas@abeckmann.de> to control@bugs.debian.org. (Mon, 02 Jul 2012 01:45:10 GMT) Full text and rfc822 format available.

Bug reopened Request was from Andreas Beckmann <andreas@abeckmann.de> to control@bugs.debian.org. (Mon, 02 Jul 2012 01:45:11 GMT) Full text and rfc822 format available.

Added indication that 679847 affects ruby-hpricot Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 05 Jul 2012 10:00:20 GMT) Full text and rfc822 format available.

Marked as found in versions ruby-hpricot/0.8.6-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 05 Jul 2012 10:00:21 GMT) Full text and rfc822 format available.

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Fri, 06 Jul 2012 21:06:14 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Fri, 06 Jul 2012 21:09:01 GMT) Full text and rfc822 format available.

Message #34 received at 679847-close@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 679847-close@bugs.debian.org
Subject: Bug#679847: fixed in ruby-fast-xs 0.8.0-3
Date: Fri, 06 Jul 2012 21:03:40 +0000
Source: ruby-fast-xs
Source-Version: 0.8.0-3

We believe that the bug you reported is fixed in the latest version of
ruby-fast-xs, which is due to be installed in the Debian FTP archive:

ruby-fast-xs_0.8.0-3.debian.tar.gz
  to main/r/ruby-fast-xs/ruby-fast-xs_0.8.0-3.debian.tar.gz
ruby-fast-xs_0.8.0-3.dsc
  to main/r/ruby-fast-xs/ruby-fast-xs_0.8.0-3.dsc
ruby-fast-xs_0.8.0-3_amd64.deb
  to main/r/ruby-fast-xs/ruby-fast-xs_0.8.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679847@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Terceiro <terceiro@debian.org> (supplier of updated ruby-fast-xs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Jul 2012 01:02:38 -0300
Source: ruby-fast-xs
Binary: ruby-fast-xs
Architecture: source amd64
Version: 0.8.0-3
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Antonio Terceiro <terceiro@debian.org>
Description: 
 ruby-fast-xs - ruby extension for escaping text
Closes: 679847
Changes: 
 ruby-fast-xs (0.8.0-3) unstable; urgency=low
 .
   * Team upload.
   * Breaks: ruby-hpricot << 0.8.6-3~ since this package now provides a file
     that used to be provided by that package (Closes: #679847).
Checksums-Sha1: 
 653ed676e7611c77b8ac98db702c642bc935b815 1248 ruby-fast-xs_0.8.0-3.dsc
 4f1dec232ff2ac6bc0d7f4fe088acbcd149bbbc8 2277 ruby-fast-xs_0.8.0-3.debian.tar.gz
 5f00bc921184efb71257e95b1df5c26b85203366 12948 ruby-fast-xs_0.8.0-3_amd64.deb
Checksums-Sha256: 
 39615040bc3cb4c28d0ea9874d007811f36cdd793d77b23dd76f8479e10ca427 1248 ruby-fast-xs_0.8.0-3.dsc
 ed2ee4c870e5c66b80d34c2f84d2805077622d74b6f7ddcdb9acd2ef7b5079de 2277 ruby-fast-xs_0.8.0-3.debian.tar.gz
 732d408990e8aac24bc69872fc304933aeef33463c926ca1b0f3160df3fd7158 12948 ruby-fast-xs_0.8.0-3_amd64.deb
Files: 
 69a0204a8979e7fc78941fcdcd211caf 1248 ruby optional ruby-fast-xs_0.8.0-3.dsc
 dc8a87ac17df148fde8f37aeb876d918 2277 ruby optional ruby-fast-xs_0.8.0-3.debian.tar.gz
 59952d5bb737026ad12d31304753bdd1 12948 ruby optional ruby-fast-xs_0.8.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/3Q0cACgkQDOM8kQ+cso+ZHQCfUoW9/UUpJ75xTtls79Al9CRG
3XwAnAozj2R+lF/IGFndNxGQG98D6r78
=HjtZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:36:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.